Update an assistant
curl --request PUT \
--url https://api.quiva.ai/hub/agent/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"config": {
"name": "Helper Agent",
"behaviour": "You are a data analysis expert",
"model": "claude-haiku-4-5",
"id": "EMAIL_DRAFT",
"description": "Analyzes data patterns",
"api_key": "CLAUDE_API_KEY",
"output_schema": {},
"has_tools": false,
"knowledge": [
"<string>"
],
"tools": [
"<string>"
],
"tool_definitions": [
{
"uri": "mcp://local/file_read",
"name": "file_read",
"description": "Reads content from a file",
"schema": {}
}
],
"timeout": 60000,
"context_limit": 200000,
"message_history_limit": 2000,
"smart_context": false,
"ai_smart_context": false,
"ai_summary_threshold": 0.7,
"ai_summary_model": "claude-haiku-4-5",
"preserve_most_recent": 5,
"ai_prompt": false,
"instructions": [
"<string>"
],
"context_variables": {},
"mcp_base_urls": {},
"auth": {},
"llm_config": {
"temperature": 1,
"max_tokens": 2,
"max_turns": 2
},
"agent_settings": {
"memory": {
"enabled": false,
"marker_types": [],
"query_enabled": true,
"max_memory_entries": 100,
"similarity_threshold": 0.7
},
"smart_context_advanced": {
"token_limit_auto_adjust": true,
"complexity_detection": true,
"complexity_detection_method": "keyword",
"message_summarization": true,
"ephemeral_streams": false,
"min_messages_for_summary": 3
},
"verification": {
"enabled": false,
"consensus_runs": 3,
"consensus_threshold": 0.66,
"verifier_agent": "<string>"
},
"human_in_the_loop": {
"enabled": false,
"auto_escalate_on_error": false,
"checkpoints": [],
"escalation_threshold": {
"error_count": 3,
"confidence_score": 0.5,
"turn_count": 10
}
},
"branching": {
"enabled": false,
"auto_checkpoint": true,
"checkpoint_interval": 5,
"max_branches": 3
},
"observability": {
"debug_mode": false,
"capture_thinking": true,
"capture_tool_calls": true,
"metrics_enabled": true,
"tracing_enabled": true,
"log_level": "info"
},
"knowledge_advanced": {
"semantic_indexing": true,
"image_detail_level": "low",
"adaptive_image_resolution": true,
"bucket_semantic_search": true,
"section_based_retrieval": true,
"max_retrieval_tokens": 10000
}
},
"allowed_agents": [
{
"subject": "<string>",
"description": "<string>"
}
],
"invocation_depth": 0,
"agent_template_subject": "<string>",
"appearance": {
"avatar": true,
"avatar_bg_size": "<string>",
"color": "<string>",
"fit_avatar": true
},
"shared": "private"
},
"subject": "<string>"
}
'import requests
url = "https://api.quiva.ai/hub/agent/{id}"
payload = {
"config": {
"name": "Helper Agent",
"behaviour": "You are a data analysis expert",
"model": "claude-haiku-4-5",
"id": "EMAIL_DRAFT",
"description": "Analyzes data patterns",
"api_key": "CLAUDE_API_KEY",
"output_schema": {},
"has_tools": False,
"knowledge": ["<string>"],
"tools": ["<string>"],
"tool_definitions": [
{
"uri": "mcp://local/file_read",
"name": "file_read",
"description": "Reads content from a file",
"schema": {}
}
],
"timeout": 60000,
"context_limit": 200000,
"message_history_limit": 2000,
"smart_context": False,
"ai_smart_context": False,
"ai_summary_threshold": 0.7,
"ai_summary_model": "claude-haiku-4-5",
"preserve_most_recent": 5,
"ai_prompt": False,
"instructions": ["<string>"],
"context_variables": {},
"mcp_base_urls": {},
"auth": {},
"llm_config": {
"temperature": 1,
"max_tokens": 2,
"max_turns": 2
},
"agent_settings": {
"memory": {
"enabled": False,
"marker_types": [],
"query_enabled": True,
"max_memory_entries": 100,
"similarity_threshold": 0.7
},
"smart_context_advanced": {
"token_limit_auto_adjust": True,
"complexity_detection": True,
"complexity_detection_method": "keyword",
"message_summarization": True,
"ephemeral_streams": False,
"min_messages_for_summary": 3
},
"verification": {
"enabled": False,
"consensus_runs": 3,
"consensus_threshold": 0.66,
"verifier_agent": "<string>"
},
"human_in_the_loop": {
"enabled": False,
"auto_escalate_on_error": False,
"checkpoints": [],
"escalation_threshold": {
"error_count": 3,
"confidence_score": 0.5,
"turn_count": 10
}
},
"branching": {
"enabled": False,
"auto_checkpoint": True,
"checkpoint_interval": 5,
"max_branches": 3
},
"observability": {
"debug_mode": False,
"capture_thinking": True,
"capture_tool_calls": True,
"metrics_enabled": True,
"tracing_enabled": True,
"log_level": "info"
},
"knowledge_advanced": {
"semantic_indexing": True,
"image_detail_level": "low",
"adaptive_image_resolution": True,
"bucket_semantic_search": True,
"section_based_retrieval": True,
"max_retrieval_tokens": 10000
}
},
"allowed_agents": [
{
"subject": "<string>",
"description": "<string>"
}
],
"invocation_depth": 0,
"agent_template_subject": "<string>",
"appearance": {
"avatar": True,
"avatar_bg_size": "<string>",
"color": "<string>",
"fit_avatar": True
},
"shared": "private"
},
"subject": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
config: {
name: 'Helper Agent',
behaviour: 'You are a data analysis expert',
model: 'claude-haiku-4-5',
id: 'EMAIL_DRAFT',
description: 'Analyzes data patterns',
api_key: 'CLAUDE_API_KEY',
output_schema: {},
has_tools: false,
knowledge: ['<string>'],
tools: ['<string>'],
tool_definitions: [
{
uri: 'mcp://local/file_read',
name: 'file_read',
description: 'Reads content from a file',
schema: {}
}
],
timeout: 60000,
context_limit: 200000,
message_history_limit: 2000,
smart_context: false,
ai_smart_context: false,
ai_summary_threshold: 0.7,
ai_summary_model: 'claude-haiku-4-5',
preserve_most_recent: 5,
ai_prompt: false,
instructions: ['<string>'],
context_variables: {},
mcp_base_urls: {},
auth: {},
llm_config: {temperature: 1, max_tokens: 2, max_turns: 2},
agent_settings: {
memory: {
enabled: false,
marker_types: [],
query_enabled: true,
max_memory_entries: 100,
similarity_threshold: 0.7
},
smart_context_advanced: {
token_limit_auto_adjust: true,
complexity_detection: true,
complexity_detection_method: 'keyword',
message_summarization: true,
ephemeral_streams: false,
min_messages_for_summary: 3
},
verification: {
enabled: false,
consensus_runs: 3,
consensus_threshold: 0.66,
verifier_agent: '<string>'
},
human_in_the_loop: {
enabled: false,
auto_escalate_on_error: false,
checkpoints: [],
escalation_threshold: {error_count: 3, confidence_score: 0.5, turn_count: 10}
},
branching: {enabled: false, auto_checkpoint: true, checkpoint_interval: 5, max_branches: 3},
observability: {
debug_mode: false,
capture_thinking: true,
capture_tool_calls: true,
metrics_enabled: true,
tracing_enabled: true,
log_level: 'info'
},
knowledge_advanced: {
semantic_indexing: true,
image_detail_level: 'low',
adaptive_image_resolution: true,
bucket_semantic_search: true,
section_based_retrieval: true,
max_retrieval_tokens: 10000
}
},
allowed_agents: [{subject: '<string>', description: '<string>'}],
invocation_depth: 0,
agent_template_subject: '<string>',
appearance: {avatar: true, avatar_bg_size: '<string>', color: '<string>', fit_avatar: true},
shared: 'private'
},
subject: '<string>'
})
};
fetch('https://api.quiva.ai/hub/agent/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "success"
}{
"error": "invalid request body"
}{
"error": "agent not found:ms.hub.config.agent.<uuid>"
}Assistants
Update an assistant
Updates an existing assistant assistant’s properties
PUT
/
hub
/
agent
/
{id}
Update an assistant
Authorizations
bearerAuthapiKeyAuth
JWT Authorization header using the Bearer scheme.
Path Parameters
Assistant id - hash of the original assistant definition
Body
application/json
Response
Assistant updated successfully
Success message